1
0
mirror of git://projects.qi-hardware.com/openwrt-xburst.git synced 2024-09-20 17:21:38 +03:00
openwrt-xburst/openwrt/package/miau/files/S50miau
wbx defb55e8d0 add miau from Benjamin Binier, updated to newest upstream, thx. add syslog-ng from Sebastien Bourgasser, pending missing libol package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@3378 3c298f89-4303-0410-b956-a3cf2f4a3e73
2006-03-15 13:40:51 +00:00

33 lines
780 B
Bash
Executable File

#!/bin/sh
DEFAULT="/etc/default/miau"
OPTIONS="-d /etc/miau/"
LOG_DIR="/var/log/miau"
ERR_LOG="$LOG_DIR/error.log"
OUT_LOG="$LOG_DIR/miau.log"
[ -f $DEFAULT ] && . $DEFAULT
[ "$ENABLE_MIAU" = "yes" ] || exit 0
case $1 in
start)
[ -f /var/run/miau.pid ] && echo "[ERROR] miau is running"
[ -f /var/run/miau.pid ] && exit 0
[ -d /var/run ] || mkdir -p /var/run
[ -d $LOG_DIR ] || mkdir -p $LOG_DIR
/usr/bin/miau -f $OPTIONS > $OUT_LOG 2> $ERR_LOG &
PID=$!
sleep 1
[ -d /proc/$PID ] && echo $PID > /var/run/miau.pid
[ -d /proc/$PID ] || echo "[ERROR] Unable to run miau as a daemon"
;;
stop)
[ -f /var/run/miau.pid ] && kill $(cat /var/run/miau.pid) >/dev/null 2>&1 && rm /var/run/miau.pid
;;
*)
echo "usage: $0 (start|stop)"
exit 1
esac
exit $?